CBK
Date: 2019-10-22

org.jmol.c

## Enum CBK

- java.lang.Object
- - java.lang.Enum<CBK>
  - - org.jmol.c.CBK

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CBK>

      public enum CBK
      extends java.lang.Enum<CBK>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANIMFRAME`
    `APPLETREADY`
    `ATOMMOVED`
    `AUDIO`
    `CLICK`
    `DRAGDROP`
    `ECHO`
    `ERROR`
    `EVAL`
    `HOVER`
    `IMAGE`
    `LOADSTRUCT`
    `MEASURE`
    `MESSAGE`
    `MINIMIZATION`
    `PICK`
    `RESIZE`
    `SCRIPT`
    `SERVICE`
    `STRUCTUREMODIFIED`
    `SYNC`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `nameList`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CBK` | `getCallback(java.lang.String name)`
    `static java.lang.String` | `getNameList()`
    `static CBK` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CBK[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANIMFRAME

          public static final CBK ANIMFRAME

    - #### APPLETREADY

          public static final CBK APPLETREADY

    - #### ATOMMOVED

          public static final CBK ATOMMOVED

    - #### AUDIO

          public static final CBK AUDIO

    - #### CLICK

          public static final CBK CLICK

    - #### DRAGDROP

          public static final CBK DRAGDROP

    - #### ECHO

          public static final CBK ECHO

    - #### ERROR

          public static final CBK ERROR

    - #### EVAL

          public static final CBK EVAL

    - #### HOVER

          public static final CBK HOVER

    - #### IMAGE

          public static final CBK IMAGE

    - #### LOADSTRUCT

          public static final CBK LOADSTRUCT

    - #### MEASURE

          public static final CBK MEASURE

    - #### MESSAGE

          public static final CBK MESSAGE

    - #### MINIMIZATION

          public static final CBK MINIMIZATION

    - #### SERVICE

          public static final CBK SERVICE

    - #### PICK

          public static final CBK PICK

    - #### RESIZE

          public static final CBK RESIZE

    - #### SCRIPT

          public static final CBK SCRIPT

    - #### SYNC

          public static final CBK SYNC

    - #### STRUCTUREMODIFIED

          public static final CBK STRUCTUREMODIFIED

  - ### Field Detail

    - #### nameList

          private static java.lang.String nameList

  - ### Method Detail

    - #### values

          public static CBK[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CBK c : CBK.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CBK valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCallback

          public static CBK getCallback(java.lang.String name)

    - #### getNameList

          public static java.lang.String getNameList()